---
title: Let Us Waffle
description: Tools like cooked.wiki let us strip away the cruft from online recipes. Is this necessarily a good thing?
date: 2024-01-24
tags:
  - Vegan Cooking
  - Quick Thoughts
synopsis: Tools like cooked.wiki let us strip away the cruft from online recipes. Is this necessarily a good thing?
imageURL: /img/pexels-brigitte-tohm-378008_compressed.webp
imageAlt: An oddly rectangular waffle covered in raspberries. It actually looks quite dry and not very nice. Hopefully there's some syrup on the side!
mastodon_id: "111812478768090324"
---
So, about this [cooked.wiki](https://cooked.wiki) thing, believe me when I say I take my fair share in our collective frustration as I find myself skimming through a  hugoesque tome on Brayden and Braxlynne’s wiggly teeth in order to reach the ingredients for “Keighleigh’s Extra Easy No-Bake Ten Minute Palmiers (*So Delicious You’ll Snort the Crumbs!*),” but I must admit that the endless complaining about it puts me out a bit. Here’s the thing; as someone who writes for his own personal blog, who plans to someday publish a recipe or two, *the waffling is the point.*

Keighleigh’s recipe blog isn’t a cookbook. No one is paying a subscription fee to access her recipes, nor is her little wordpress site a public amenity. If Keighleigh is anything like me, she writes for the joy of it. Our hypothetical author here may not really be setting out to write *recipes* at all. In all likelihood, she sees herself as writing prose about her life and the things she enjoys talking and thinking about, while also taking the time to record her recipes for the benefit and enjoyment of the reader who stumbles across her home on the internet. Only wanting to share what brings her joy with others, she doesn’t ask much – so why not just skim? Is it really such a tall order?

Now I’m not naïve; there are surely authors out there inflating their wordcount for SEO purposes, hoping to eke out an extra dollar or two from a smattering of banner ads and affiliate links. I know there are accessibility concerns also. Valid reasons abound for using a tool like Cooked; I even took the time to add [structured data](https://yoast.com/what-is-structured-data/) to my website to help others use my work in interesting and helpful ways. There’s just something downright bleak, however, about seeing the meat of my prose shelled wholesale by a piece of proprietary software, stripped down to mere data, devoid of all context and humanity. While I’m not suggesting that no one should use tools like Cooked; I am asking that they maybe consider the author first. Besides that, instant gratification can be rather ungratifying – isn’t fiddling with the shell half the fun of eating a pistachio?
